FreeRADIUSの脆弱性情報(Moderate: CVE-2019-20510)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

03/18/2020にFreeRADIUSの脆弱性情報(Moderate: CVE-2019-20510)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


[過去の関連リンク(最新5件)]

FreeRADIUSの脆弱性情報(Moderate: CVE-2019-13456)



Priority

CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2019-20510 freeradius 3.x < 3.0.20

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-20510
    • 3.0.20より前のバージョンのFreeRADIUSでは、EAP-PWD実装のrlm_eap/types/rlm_eap_pwd/eap_pwd.cに、五月雨式の過度の繰り返しによりサイドチャネル攻撃で情報が漏洩するため、リモートの攻撃者がパスワードを見つけられてしまうという問題があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

docker-compose-remote-apiパッケージの脆弱性情報(CVE-2020-7606)

次へ

phpMyadminの脆弱性情報(Moderate: CVE-2020-10802, CVE-2020-10803, CVE-2020-10804 )